[Pkg-amule-devel] Bug#612962: amule: Exits after a few minutes - probably due to severe memory leak

Tony Houghton h at realh.co.uk
Fri Feb 11 22:06:00 UTC 2011

Package: amule
Version: 2.2.6+debian0-8
Severity: important

amule keeps quitting after a short time, often before it's reached the
front of any download queues. I've tried runnning it from a terminal
with ulimit -c unlimited but it just exits without any message. A few
times I've noticed that it's eating masses of memory, causing severe
swapping, so presumably it's exiting because it runs out of memory, but
I'm not sure if that's the cause every time.

It seems to be triggered by trying to download several files at once
(more than 10?). On one occasion I was experiencing the crashes with far
fewer downloads but deleting the .aMule directory and restarting it made
it work reliably.  But I've just tried deleting everything from .aMule
except my partial downloads (currently 16 of them) and the instability
is persisting.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages amule depends on:
ii  amule-common          2.2.6+debian0-8    common files for the rest of aMule
ii  libc6                 2.11.2-11          Embedded GNU C Library: Shared lib
ii  libcrypto++8          5.6.0-6            General purpose cryptographic libr
ii  libgcc1               1:4.4.5-10         GCC support library
ii  libgeoip1             1.4.7~beta6+dfsg-1 A non-DNS IP-to-country resolver l
ii  libstdc++6            4.4.5-10           The GNU Standard C++ Library v3
ii  libupnp3              1:1.6.6-5          Portable SDK for UPnP Devices, ver
ii  libwxbase2.8-0      wxBase library (runtime) - non-GUI
ii  libwxgtk2.8-0      wxWidgets Cross-platform C++ GUI t
ii  zlib1g                1:   compression library - runtime

Versions of packages amule recommends:
ii  amule-utils              2.2.6+debian0-8 utilities for aMule (command-line 
ii  unzip                    6.0-4           De-archiver for .zip files

Versions of packages amule suggests:
pn  amule-utils-gui               <none>     (no description available)

-- no debconf information

More information about the Pkg-amule-devel mailing list